<?php
/*
 * Plugin Name: CoolIris-Piclens
 * File :  fonctions.php  
 */



function get_html_exts_selection(
  $exts,
  $fieldname,
  $selecteds = array()
  )
{
  global $conf;
  if (count ($exts) == 0 )
  {
    return '';
  }
  $output = '<div id="'.$fieldname.'">';
  $id = 1;
  foreach ($exts as $ext)
  {
    $output.=

      '<input type="checkbox" name="'.$fieldname.'[]"'
      .' id="ext_'.$id++.'"'
      .' value="'.$ext['tn_ext'].'"'
      ;

    if (in_array($ext['tn_ext'], $selecteds))
    {
      $output.= ' checked="checked"';
    }

    $output.=
      '><label>'
      .'&nbsp;<b>'. $ext['tn_ext'].'</b>&nbsp;'
      .'</label>'
      ."\n"
      ;
  }
  $output.= '</div>';

  return $output;
}


function get_all_exts()
{
$query = '
  SELECT DISTINCT(tn_ext)
  FROM '.IMAGES_TABLE.'
  ORDER BY tn_ext;';

$result = pwg_query($query);

$ext = array();
  while ($row = pwg_db_fetch_assoc($result))
  {
    if (empty($row['tn_ext']))
		$row['tn_ext']='!NULL!';
    array_push($ext, $row);
  }

  return $ext;
}

?>